Package org.gradle.platform

# Enum OperatingSystem

java.lang.Object
java.lang.Enum<OperatingSystem>
org.gradle.platform.OperatingSystem

All Implemented Interfaces:
  `Serializable`, `Comparable<OperatingSystem>`, `Constable`

@Incubating public enum OperatingSystem extends Enum<OperatingSystem>
Constants for various operating systems Gradle runs on.

Since:
  7.6

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FREE_BSD`
  `LINUX`
  `MAC_OS`
  `SOLARIS`
  `UNIX`
  `WINDOWS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OperatingSystem`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static OperatingSystem[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LINUX

    public static final OperatingSystem LINUX

  - ### UNIX

    public static final OperatingSystem UNIX

  - ### WINDOWS

    public static final OperatingSystem WINDOWS

  - ### MAC_OS

    public static final OperatingSystem MAC_OS

  - ### SOLARIS

    public static final OperatingSystem SOLARIS

  - ### FREE_BSD

    public static final OperatingSystem FREE_BSD

- ## Method Details

  - ### values

    public static OperatingSystem[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static OperatingSystem valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null